%global srcname pytest-remotedata

Name:           python-%{srcname}
Version:        0.3.3
Release:        %mkrel 3
Summary:        Pytest plugin for controlling remote data access
Group:		    Development/Python

License:        BSD
URL:            https://pypi.org/project/pytest-remotedata/
Source0:        %{pypi_source}

BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools-scm)

%description
This package provides a plugin for the pytest framework that allows developers
to control unit tests that require access to data from the internet. 

Many software packages provide features that require access to data from the
internet. These features need to be tested, but unit tests that access the
internet can dominate the overall runtime of a test suite. The pytest-remotedata
plugin allows developers to indicate which unit tests require access to the
internet, and to control when and whether such tests should execute as part of
any given run of the test suite.


%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
This package provides a plugin for the pytest framework that allows developers
to control unit tests that require access to data from the internet. 

Many software packages provide features that require access to data from the
internet. These features need to be tested, but unit tests that access the
internet can dominate the overall runtime of a test suite. The pytest-remotedata
plugin allows developers to indicate which unit tests require access to the
internet, and to control when and whether such tests should execute as part of
any given run of the test suite.


%prep
%autosetup -n %{srcname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_remotedata
# Remove source tests directory installed by mistake
rm -fr %{buildroot}%{python3_sitelib}/tests

# Note that there is no %%files section for the unversioned python module if we are building for several python runtimes
%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE.rst
%doc CHANGES.rst README.rst




%changelog
* Fri Dec 08 2023 wally <wally> 0.3.3-3.mga10
+ Revision: 2015751
- rebuild for py3.12

* Wed Oct 26 2022 papoteur <papoteur> 0.3.3-2.mga9
+ Revision: 1899512
- fix BRs for proper version info generation

* Wed Sep 07 2022 neoclust <neoclust> 0.3.3-1.mga9
+ Revision: 1885147
- New version  0.3.3

* Sat Mar 26 2022 umeabot <umeabot> 0.3.2-4.mga9
+ Revision: 1828453
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 tv <tv> 0.3.2-3.mga9
+ Revision: 1775317
- Rebuild for python-3.10

* Sun Mar 21 2021 joequant <joequant> 0.3.2-2.mga9
+ Revision: 1706508
- update to 0.3.2

* Mon Mar 01 2021 guillomovitch <guillomovitch> 0.3.2-1.mga9
+ Revision: 1695440
- new version 0.3.2

* Sun Feb 16 2020 umeabot <umeabot> 0.3.1-5.mga8
+ Revision: 1534943
- Mageia 8 Mass Rebuild

* Mon Oct 07 2019 tv <tv> 0.3.1-4.mga8
+ Revision: 1450268
- imported package python-pytest-remotedata


* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 0.3.1-4
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 0.3.1-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Mar 29 2019 Christian Dersch <lupinix@fedoraproject.org> - 0.3.1-1
- new version

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun Jun 24 2018 Christian Dersch <lupinix@fedoraproject.org> - 0.3.0-1
- new version

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.2.0-2
- Rebuilt for Python 3.7

* Sat Mar 17 2018 Christian Dersch <lupinix@mailbox.org> - 0.2.0-1
- initial packaging effort

